"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/private/var/folders/1z/65jd_97j40z81zjth6w6qbs40000gn/T/cirrus-ci-build/build/temp.macosx-11.0-arm64-cpython-311/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x107e53920>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x107e53a60>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x107e539c0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x107e53b00>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x107e53ba0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x107e53c40>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x107e53ce0>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x107e53d80>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x107e53e20>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x107e53ec0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x107e53f60>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x112aec040>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x112aec0e0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x112aec180>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x112aec220>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x112aec2c0>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x112aec360>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x112aec400>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x112aec4a0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x112aec540>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x112aec5e0>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x112aec680>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x112aec720>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x112aec7c0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x112aec860>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x112aec900>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x112aec9a0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x112aeca40>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x112aecae0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x112aecb80>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x112aecc20>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x112aeccc0>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x112aecd60>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x112aece00>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x112aecea0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x112aecf40>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x112aecfe0>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x112aed080>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x112aed120>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x112aed1c0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x112aed260>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x112aed300>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x112aed3a0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x112aed440>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x112aed4e0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x112aed580>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x112aed620>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x112aed6c0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x112aed760>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x112aed800>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x112aed8a0>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x112aed940>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x112aed9e0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x112aeda80>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x112aedb20>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x112aedbc0>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x112aedc60>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x112aedd00>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x112aedda0>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x112aede40>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x112aedee0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x112aedf80>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x112aee020>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x112aee0c0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x112aee160>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x112aee200>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x112aee2a0>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x112aee340>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x112aee3e0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x112aee480>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x112aee520>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x112aee5c0>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x112aee660>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x112aee700>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x112aee7a0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x112aee840>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x112aee8e0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x112aee980>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x112aeea20>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x112aeeac0>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x112aeec00>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x112aeeb60>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x112aeeca0>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x112aeed40>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x112aeede0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x112aeee80>)]
name: str = 'fr_HOCCN'
